<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='html' indent='yes' omit-xml-declaration='yes'/>
  <xsl:template match='messages'>
    <html>
      <head>
        <xsl:apply-templates select='summary'/>
        <link rel='stylesheet' type="text/css" href="listing.css" />
      </head>
    <body>
     <h1>inbox</h1>
      <table border='1'>
          <thead><th/><th>from</th><th>to</th><th>subject</th><th>date</th><th/><th/><th colspan="3">attachments</th></thead>
        <xsl:apply-templates select='records/message'>

          <xsl:sort order='descending' select="number(records/message/@id)"/>
        </xsl:apply-templates>
      </table>
    </body>
    </html>
  </xsl:template>
  <xsl:template match='messages/summary'>
    <title>
      <xsl:value-of select='date'/>
    </title>
  </xsl:template>
  <xsl:template match='records/message'>
    <tr>
      <td>
        <xsl:value-of select='tags'/>
      </td>
      <td class="{from/@css_class}">
        <xsl:value-of select='from'/>
      </td>
      <td class="{to/@css_class}">
        <xsl:value-of select='to'/>
      </td>
      <td>
        <xsl:value-of select='subject'/>
      </td>
      <td>
        <xsl:value-of select='date'/>
      </td>
      <td>
        <xsl:if test="txt_filepath != ''">
        <a href="{txt_filepath}">txt</a>
        </xsl:if>
      </td>
      <td>
        <a href="{html_filepath}">html</a>
      </td>
      <td>
        <a href="{attachment1}"><xsl:value-of select='attachment1'/></a>
      </td>
      <td>
        <a href="{attachment2}"><xsl:value-of select='attachment2'/></a>
      </td>
      <td>
        <a href="{attachment3}"><xsl:value-of select='attachment3'/></a>
      </td>
    </tr>
  </xsl:template>
</xsl:stylesheet>